/*  ---------------------------------------------------------------------------
    Program  :  MkSummaryMeetingsDat.sas

    Author   :  Perry Watts
    Date     :  19Jul2007 17:56

    Project  :  N07 Better Bar Chart Paper (NP16)

    Purpose  :  Make summary data for Meetings data sets.
    ------------------------------------------------------------------------  */
 libname n07 "C:\N07\BetterBarChart\data";
 options mautosource;
 options sasautos=(sasautos 'c:\n07\Macros');

%MkSummaryDataBarChart(_InDat=n07.meetings, _OutDat=%str(n07.MeetingsOrigGrpSummary), 
   _ClassVar=Room, _ClassDescVar=Room, _GroupVar=Dept, _GroupDescVar=Dept,
   _Rvar=Hours);
%MkSummaryDataBarChart(_InDat=n07.meetings, _OutDat=%str(n07.MeetingsOrigSGrpSummary), 
   _ClassVar=Dept, _ClassDescVar=Dept, _SubGroupVar=Room, _SubGroupDescVar=Room,
   _Rvar=Hours);
%MkSummaryDataBarChart(_InDat=n07.meetings, _OutDat=%str(n07.MeetingsOrigClsRmSummary), 
   _ClassVar=Room, _ClassDescVar=Room,  _Rvar=Hours);
%MkSummaryDataBarChart(_InDat=n07.meetings, _OutDat=%str(n07.MeetingsOrigClsDptSummary), 
   _ClassVar=Dept, _ClassDescVar=Dept,  _Rvar=Hours);


%MkSummaryDataBarChart(_InDat=n07.moreMeetings, _OutDat=%str(N07.MeetingsMoreGrpSummary), 
   _ClassVar=Room, _ClassDescVar=Room, _GroupVar=Dept, _GroupDescVar=Dept,
   _Rvar=Hours);
%MkSummaryDataBarChart(_InDat=n07.moreMeetings, _OutDat=%str(N07.MeetingsMoreSGrpSummary), 
   _ClassVar=Dept, _ClassDescVar=Dept, _SubGroupVar=Room, _SubGroupDescVar=Room,
   _Rvar=Hours);
%MkSummaryDataBarChart(_InDat=n07.moreMeetings, _OutDat=%str(N07.MeetingsMoreClsRmSummary), 
   _ClassVar=Room, _ClassDescVar=Room,  _Rvar=Hours);
%MkSummaryDataBarChart(_InDat=n07.moreMeetings, _OutDat=%str(N07.MeetingsMoreClsDptSummary), 
   _ClassVar=Dept, _ClassDescVar=Dept,  _Rvar=Hours);
