/*  ---------------------------------------------------------------------------
    Program  :  MkSummaryBioMedData.sas

    Author   :  Perry Watts
    Date     :  23Jul2007 15:48

    Project  :  N07 Better Bar Chart Paper (NP16)

    Purpose  :  Make summary data from n07.Biomed

    ------------------------------------------------------------------------  */
footnote1;
libname n07 "C:\N07\BetterBarChart\data";
options nodate number pageno=1 fmtsearch=(work) mautosource mprint nosymbolgen;
options sasautos=(sasautos 'c:\_GTGSCompatible\UtilityMacros');

/* MAKE SUMMARY DATA */
 
%MkSummaryDataBarChart(_InDat=N07.biomed, _OutDat=%str(N07.biomedGrpSummary), 
   _ClassVar=diagNum, _ClassDescVar=DiagDesc, _GroupVar=Hospital, _GroupDescVar=HospDesc,
   _Rvar=Diff);

%MkSummaryDataBarChart(_InDat=N07.biomed, _OutDat=%str(N07.biomedMPSummary), 
   _ClassVar=Hospital, _ClassDescVar=HospDesc, _Rvar=Diff);
